# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXCopyAttributes

Function

Copies attributes from one Object to another.

Syntax
`
#include <dx/dx.h>
`

Object DXCopyAttributes(Object dst, Object src)

Functional Details

Gets the value of each attribute, in turn, from the source Object `src` and sets it in an identically named attribute in the destination Object `dst`. Attributes already present in `dst` that are also present in `src` have their values updated to those in `src`. The values of attributes present in `dst` but not present in `src` remain unchanged.

Return Value

Returns `dst` or returns `NULL` and sets an error code unless `dst` was also specified as `NULL`.

See Also

`DXGetAttribute, DXGetEnumeratedAttribute, DXSetAttribute, DXDeleteAttribute`

"Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]